commit:     f238ae9f0d409d8bb44d9654c2c4dba30e8f593b
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Fri Nov 10 08:42:57 2017 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Sun Feb 11 17:37:56 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f238ae9f

dev-python/gitdb2: Version bump to 2.0.3

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-python/gitdb2/Manifest            |  1 +
 dev-python/gitdb2/gitdb2-2.0.3.ebuild | 56 +++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/gitdb2/Manifest b/dev-python/gitdb2/Manifest
index 508b37f522f..cd2ef2ef1dd 100644
--- a/dev-python/gitdb2/Manifest
+++ b/dev-python/gitdb2/Manifest
@@ -1 +1,2 @@
 DIST gitdb2-2.0.2.tar.gz 393188 BLAKE2B 
ccd57931b6483bc4d1f142644619f6ac0e4fb852a9a2f58f261513d10f2ed1124e4bf7413190809ede95e79c8b667edbbb084ea8d4df56574310a3c14582b4c3
 SHA512 
685af97dcb1f352255024b8a382255dacea00aa6312f71d2a16eab00d0204ebf6d46c90d804a4778ea0ef35eae7e5a2f5ae71c16851206fdaf27be8af59499d9
+DIST gitdb2-2.0.3.tar.gz 392632 BLAKE2B 
c1313a8f571706cfb651dc114df98e85e385fbd7df40688386faf290cf177d282e6e3760ee43eb54d1562582755b6070a992f1f55a1821fef1e0e015f5cd09b0
 SHA512 
4be643b933b47f5511702aa9df5c3210847f059dff9a4794779040660cd60c5af7de5072eb18bc17971edba9a5551e9ba51dbe360194b7d454ee4f23348c8063

diff --git a/dev-python/gitdb2/gitdb2-2.0.3.ebuild 
b/dev-python/gitdb2/gitdb2-2.0.3.ebuild
new file mode 100644
index 00000000000..4aa4893fc03
--- /dev/null
+++ b/dev-python/gitdb2/gitdb2-2.0.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="GitDB is a pure-Python git object database"
+HOMEPAGE="
+       https://github.com/gitpython-developers/gitdb
+       https://pypi.python.org/pypi/gitdb2";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       !dev-python/gitdb[${PYTHON_USEDEP}]
+       >=dev-python/smmap2-2.0.1[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )"
+
+src_test() {
+       local i
+
+       mkdir "${T}"/repo || die
+       cd "${T}"/repo || die
+
+       for (( i = 0; i < 2500; ++i )); do
+               echo "${i}" > file"${i}" || die
+       done
+
+       git init || die
+       git config user.email "[email protected]" || die
+       git config user.name "Your Name" || die
+       git add -A || die
+       git commit -q -m ".." || die
+       git clone --bare "${T}"/repo "${T}"/repo.git || die
+       cd "${S}" || die
+
+       distutils-r1_src_test
+}
+
+python_test() {
+       #TRAVIS=1 disables performance tests which rely on the gitdb repo
+       local -x TRAVIS=1
+       local -x GITDB_TEST_GIT_REPO_BASE="${T}"/repo.git
+       nosetests -v || die "Tests fail with ${EPYTHON}"
+}

Reply via email to